# Updating an existing Estimate Scenario Resource

This endpoint returns structured Estimate Scenario Resource objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the estimate_scenario_resources top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /estimate_scenario_resources/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- allocation (EstimateScenarioResourceAllocation) - The Estimate Scenario Resource Allocation of the Estimate Scenario Resource.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- geography (Geography) - The Geography of the Estimate Scenario Resource.
- organization_membership (OrganizationMembership) - Retrieves the organization memberships for the resource. The response will include organization_membership_id, which references the data in the organization_memberships top-level key.
- role (Role)
- user (User).

## Request fields (application/json):

  - `estimate_scenario_resource` (object)

  - `estimate_scenario_resource.role_id` (integer, required)
    The role with which the resource will be associated.

  - `estimate_scenario_resource.label` (string)
    The name of the resource.

  - `estimate_scenario_resource.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `estimate_scenario_resource.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `estimate_scenario_resource.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `estimate_scenario_resource.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `estimate_scenario_resource.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `estimate_scenario_resource.external_reference.external_message` (string)
    The message on the external object.

  - `estimate_scenario_resource.external_reference.external_link` (string)
    The link to the external object.

  - `estimate_scenario_resource.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `estimate_scenario_resource.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimate_scenario_resources` (object)

  - `external_references` (object)

  - `users` (object)

  - `roles` (object)

  - `organization_memberships` (object)

  - `estimate_scenario_resource_allocations` (object)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


